### Function

# Gimp context_set_palette

since: 2.2

#### Declaration [src]

    gboolean
    gimp_context_set_palette (
      GimpPalette* palette
    )

#### Description [src]

Set the active palette.

Sets the active palette in the current context. The palette will be used in subsequent paint operations. Returns an error when the palette data was uninstalled since the palette object was created.

Available since: 2.2

#### Parameters

`palette`

  Type: `GimpPalette`

  The palette.

  The data is owned by the caller of the function.

#### Return value

Type: `gboolean`

TRUE on success.